-------------------------------------------------------------------------------
-- ElvUI Chat Tweaks By Lockslap (US, Bleeding Hollow)
-- <Borderline Amazing>, http://ba-guild.com
-- Based on functionality provided by Prat and/or Chatter
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- Config defaults
-------------------------------------------------------------------------------
ElvUI_ChatTweaks.defaults 	= {
	profile		= {
		-- main toggles
		hyperlinks				= true,
		timestamps				= true,
		channels				= true,
		groupSay				= true,
		altInvite				= true,
		chatLogging				= false,
		editboxHistory			= true,
		justify					= true,
		names					= true,
		channelSaveColors		= true,
		channelSounds			= false,
		chatFonts				= true,
		spamFilter				= true,
		scrollReminder			= true,
		rollFrame				= true,
		clearChat				= true,
		
		-- roll frame
		rollRouteTo				= "ChatFrame4",
		rollFlash				= true,
		rollColors				= true,
		rollColorReg			= true,
		rollRegColor			= {r = 0.0, g = 0.0, b = 1.0},	-- blue
		rollColorLoss			= true,
		rollLossColor			= {r = 0.0, g = 1.0, b = 0.0},	-- green
		rollColorOwn			= true,
		rollOwnColor			= {r = 0.0, g = 0.5764705882352941, b = 0.5529411764705883},	-- purpleish (think warlock)
		rollColorOwnLoss		= true,
		rollOwnLossColor		= {r = 1.0, g = 0.0, b = 0.0},	-- red
		
		-- chat font settings
		fontFace				= "ElvUI Font",
		fontOutline				= "",
		fontSize				= 15,
		
		-- hyperlinks
		combat					= true,
		item					= true,
		spell					= true,
		unit					= true,
		quest					= true,
		enchant					= true,
		achievement				= true,
		instancelock			= true,
		talent					= true,
		glyph					= true,
		
		-- timestamps
		tsOpen					= "[",
		tsClose					= "]",
		tsFormat				= "%H:%M",
		tsColor					= {r 	= 0.3098039215686275, g 	= 0.3098039215686275, b 	= 0.3098039215686275},
		
		-- chat channels
		guild					= true,
		guildText				= "[G]",
		officer					= true,
		officerText				= "[O]",
		party					= true,
		partyText				= "[P]",
		partyLeader				= true,
		partyLeaderText			= "[PL]",
		dungeonGuide			= true,
		dungeonGuideText		= "[DG]",
		raid					= true,
		raidText				= "[R]",
		raidLeader				= true,
		raidLeaderText			= "[RL]",
		raidWarning				= true,
		raidWarningText			= "[RW]",
		battleground			= true,
		battlegroundText		= "[BG]",
		battlegroundLeader		= true,
		bgLeaderText			= "[BGL]",
		
		-- channel sounds
		guildSound				= "None",
		officerSound			= "None",
		partySound				= "None",
		partyLeaderSound		= "None",
		raidSound				= "None",
		raidLeaderSound			= "None",
		battlegroundSound		= "None",
		battlegroundLeaderSound	= "None",
		bgSystemAlliance		= "None",
		bgSystemHorde			= "None",
		bgSystemNeutral			= "None",
		saySound				= "None",
		yellSound				= "None",
		emoteSound				= "None",
		monsterEmoteSound		= "None",
		monsterSaySound			= "None",
		raidBossEmoteSound		= "None",
		
		-- name coloring options
		nameOpen				= "[",
		nameClose				= "]",
		nameColorBy				= "CLASS",
		nameColorSelf			= true,
		nameSelfColor			= {r 	= 1.0, g 	= 0.0, b 	= 0.0},			-- red
		nameEmphasizeSelf		= true,
		nameEmphasisColor		= {r 	= 1.0, g 	= 1.0, b 	= 0.0},			-- yellow
		nameDefaultColor		= {r 	= 0.627, g 	= 0.627, b 	= 0.627},	-- grayish
		
		-- level options
		level					= true,
		levelSeparator			= ":",
		levelMax				= false,
		levelColor				= true,
		levelLocation			= "RIGHT",
		
		-- saving options
		saveGuild				= true,
		saveGroup				= true,
		saveFriend				= true,
		saveTarget				= true,
		saveWho					= true,
		saveAllWho				= true,
		
		-- spam filter
		spamGoldSelling			= true,
		spamAutoReport			= true,
		spamReportConfirm		= false,
		spamReportSilent		= false,
		spamGuildRecruit		= true,
		spamKeywords			= true,
		spamRemoveIcons			= true,
		spamFilters				= {
			"anal",
			"dirge",
			"murloc",
			"rape",
			"mudkipz"
		},
		spamAFK					= true,
		spamDND					= true,
		
		-- not used in config window
		chatFrames				= {},
		channelColors			= {},
		oldFonts				= {},
	},
	char	= { history			= {} },
	realm	= { names			= {} },
}